﻿; системные переменные PARADISE для подгрузок

; ПРИЗНАКИ. Доступ к ним возможен через EMT 151. После него  в
; регистре R5 остается адрес начала буфера.  Адреса  признаков
; определяются через смещение относительно начала буфера.

    SSREG   = -6    ; 377 - включен режим SS (клавиша <ШАГ>)
    PRTON   = -5    ; 377 - включено дублирование на принтер
    TRON    = -4    ; 377 - включена трассировка
    TABOFF  = -3    ; 377 - табуляция (см. описание EMT 140,142)
    OUBUF   = -2    ; 377 - выдача EMT 114 в буфер по R5
    ERROR   = -1    ;   0 - отсутствие системной ошибки


; ПЕРЕМЕННЫЕ. Доступ к ним осуществляется через EMT  267,  по-
; добно доступу к признакам.


    ABEGIN  =   0   ; адрес начала рабочей области
    AEND    =   4   ; адрес конца  рабочей области
    BufR0   =  10   ; ┐
    BufR1   =  14   ; │
    BufR2   =  20   ; │ содержимое регистров процессора, переда-
    BufR3   =  24   ; ├ ваемое программе при запуске по команде
    BufR4   =  30   ; │ RUN, или РОН при трассировке
    BufR5   =  34   ; │
    BufSP   =  40   ; │
    BufPC   =  44   ; │
    BufPS   =  50   ; ┘
    TRMODE  =  54   ; переменная, используемая в команде MD
    BASEPR  =  66   ; текущая система счисления:
                    ; 2-ASCII 4-TEXT 6-RADIX 10-BYTE 12-WORD
                    ; 14-HEXADECIMAL 16-DECIMAL 20-PRIMARY(BIN)
    TrcSPBuf=  -110 ; 1. слово - буфер хранения значения стека при трассировке
                    ; 2. 6 байтов - буфер для сканирования числа с экрана
    NewKeyFlg = 42  ; флаг нового кода при приёме кодов нажатых клавиш с клавиатуры

ChainEnd = 57537

.end
